Bug 510455 - Review Request: morse2txt - Morse Code Reader
Summary: Review Request: morse2txt - Morse Code Reader
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Randy Berry
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-07-09 11:04 UTC by Fabian Affolter
Modified: 2009-07-24 19:41 UTC (History)
3 users (show)

Fixed In Version: 1.0.0-1.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-24 19:40:36 UTC
Type: ---
randyn3lrx: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Fabian Affolter 2009-07-09 11:04:39 UTC
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/morse2txt.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/morse2txt-1.0.0-1.fc11.src.rpm

Project URL: http://morse2txt.sourceforge.net/

Description:
This program will decode morse code from your short-wave receiver
using your OSS capable sound card.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1463112

rpmlint output:
[fab@laptop09 SRPMS]$ rpmlint morse2txt-1.0.0-1.fc11.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop09 i586]$ rpmlint morse2txt*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 1 Randy Berry 2009-07-10 04:26:28 UTC
Key:
[*] Pass
[x] Fail
[-] Not applicable
[?] Questions (see comments)

[*]  MUST: rpmlint must be run on every package. The output should be
     posted in the review.[1]

  3 packages and 1 specfiles checked; 0 errors, 0 warnings.

[*]  MUST: The package must be named according to the Package Naming Guidelines.

[*]  MUST: The spec file name must match the base package %{name},
     in the format %{name}.spec unless your package has an exemption. [2] .

[*]  MUST: The package must meet the Packaging Guidelines.

[*]  MUST: The package must be licensed with a Fedora approved
     license and meet the Licensing Guidelines .

   GPLv2+

[*]  MUST: The License field in the package spec file must match
     the actual license.

[*]  MUST: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of
     the license(s) for the package must be included in %doc.

[*]  MUST: The spec file must be written in American English.

[*]  MUST: The spec file for the package MUST be legible.

[*]  MUST: The sources used to build the package must match the upstream
     source, as provided in the spec URL. Reviewers should use md5sum for
     this task. If no upstream URL can be specified for this package,
     please see the Source URL Guidelines for how to deal with this.

[*]  MUST: The package MUST successfully compile and build into binary
     rpms on at least one primary architecture.

[-]  MUST: If the package does not successfully compile, build or work on
     an architecture, then those architectures should be listed in the spec
     in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug
     filed in bugzilla, describing the reason that the package does not
     compile/build/work on that architecture. The bug number MUST be
     placed in a comment, next to the corresponding ExcludeArch line.

[*]  MUST: All build dependencies must be listed in BuildRequires,
     except for any that are listed in the exceptions section of the
     Packaging Guidelines ; inclusion of those as BuildRequires is
     optional. Apply common sense.


[*]  MUST: The spec file MUST handle locales properly. This is done by
     using the %find_lang macro. Using %{_datadir}/locale/[ ] is strictly
     forbidden.

[-]  MUST: Every binary RPM package (or subpackage) which stores shared
    library files (not just symlinks) in any of the dynamic linker's
    default paths, must call ldconfig in %post and %postun.

[-]  MUST: If the package is designed to be relocatable, the packager
     must state this fact in the request for review, along with the
     rationalization for relocation of that specific package.
     Without this, use of Prefix: /usr is considered a blocker.

[*]  MUST: A package must own all directories that it creates. If it does not
     create a directory that it uses, then it should require a package which
     does create that directory. Refer to the Guidelines for examples.

[*]  MUST: A package must not contain any duplicate files in the %files listing.

[*]  MUST: Permissions on files must be set properly. Executables should
     be set with executable permissions, for example. Every %files section
     must include a %defattr(...) line.

[*]  MUST: Each package must have a %clean section, which contains
     rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ).

[*]  MUST: Each package must consistently use macros, as described in the
     macros section of Packaging Guidelines .

[*]  MUST: The package must contain code, or permissable content.
     This is described in detail in the code vs. content section
     of Packaging Guidelines.

[*]  MUST: Large documentation files should go in a -doc subpackage.
    (The definition of large is left up to the packager's best judgement,
     but is not restricted to size. Large can refer to either size or quantity)

[*]  MUST: If a package includes something as %doc, it must not affect the
     runtime of the application. To summarize: If it is in %doc, the program
     must run properly if it is not present.

[-]  MUST: Header files must be in a -devel package.

[-]  MUST: Static libraries must be in a -static package.

[-]  MUST: Packages containing pkgconfig(.pc) files must 'Requires:
     pkgconfig' (for directory ownership and usability).

[-]  MUST: If a package contains library files with a suffix
    (e.g. libfoo.so.1.1), then library files that end in .so
    (without suffix) must go in a -devel package.

[*]  MUST: In the vast majority of cases, devel packages must require
     the base package using a fully versioned dependency: Requires:
     %{name} = %{version}-%{release}

[*]  MUST: Packages must NOT contain any .la libtool archives,
     these should be removed in the spec.

[*]  MUST: Packages containing GUI applications must include a
     %{name}.desktop file,and that file must be properly installed
     with desktop-file-install in the %install section. This is described
     in detail in the desktop files section of the Packaging Guidelines.
     If you feel that your packaged GUI application does not need a .desktop
     file, you must put a comment in the spec file with your explanation.

[*]  MUST: Packages must not own files or directories already owned by
     other packages. The rule of thumb here is that the first package
     to be installed should own the files or directories that other packages
     may rely upon. This means, for example, that no package in Fedora should
     ever share ownership with any of the files or directories owned by the
     filesystem or man package. If you feel that you have a good reason to own
     a file or directory that another package owns, then please present that
     at package review time.

[*]  MUST: At the beginning of %install, each package MUST run
     rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ).
     See Prepping BuildRoot For %install for details.

[*]  MUST: All filenames in rpm packages must be valid UTF-8.

============
= APPROVED =
============

Comment 2 Fabian Affolter 2009-07-10 08:02:15 UTC
Thanks Randall for the review.

Comment 3 Fabian Affolter 2009-07-10 08:06:01 UTC
New Package CVS Request
=======================
Package Name: morse2txt
Short Description: Morse Code Reader
Owners: fab
Branches: F-10 F-11
InitialCC:

Comment 4 Jason Tibbitts 2009-07-10 18:11:16 UTC
CVS done.

Comment 5 Fedora Update System 2009-07-12 07:30:07 UTC
morse2txt-1.0.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/morse2txt-1.0.0-1.fc11

Comment 6 Fedora Update System 2009-07-12 07:30:18 UTC
morse2txt-1.0.0-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/morse2txt-1.0.0-1.fc10

Comment 7 Fedora Update System 2009-07-16 06:55:29 UTC
morse2txt-1.0.0-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update morse2txt'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7564

Comment 8 Fedora Update System 2009-07-16 07:11:50 UTC
morse2txt-1.0.0-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update morse2txt'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7615

Comment 9 Fedora Update System 2009-07-24 19:40:31 UTC
morse2txt-1.0.0-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2009-07-24 19:41:42 UTC
morse2txt-1.0.0-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.